Package: org.gradle.model

## [Java] Annotation Type Validate

- org.gradle.model.Validate

- Denotes that the RuleSource method rule carrying this annotation validates the rule subject.

  Validate rules execute after Finalize rules, but before rule subject is used as an input. The first parameter of the rule is the rule subject, which is immutable.

  Please see RuleSource for more information on method rules.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`